%define upstream_name    POE-Component-Sequence
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Adds special features to nested sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MethodMaker) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(POE)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A Sequence is a series of code blocks (actions) that are executed (handled)
within the same context, in series. Each action has access to the sequence
object, can pause it, finish the sequence, add additional actions to be
performed later, or store variables in the context (the heap).

If we had the following action in the above example sequence:

    sub {
        my $sequence = shift;
        $sequence->pause;
        ...
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-9pclos2017
- rebuild against updates

